Package org.apache.sling.distribution.journal

## Class MessagingException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.apache.sling.distribution.journal.MessagingException

All Implemented Interfaces:
  `Serializable`

    public class MessagingException
    extends RuntimeException

See Also:
  Serialized Form

### Constructor Summary

Constructors
`MessagingException​(String message)`
`MessagingException​(String message, Exception cause)`
`MessagingException​(String message, String responseCode)`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getResponseCode()`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### MessagingException

    public MessagingException​(String message)

#### MessagingException

    public MessagingException​(String message,
                              Exception cause)

#### MessagingException

    public MessagingException​(String message,
                              String responseCode)

### Method Detail

#### getResponseCode

    public String getResponseCode()